Subject: Re: On-going 4xx porting

From: Josh Boyer <[email-masked]>
Date: Fri, 09 Nov 2007 18:17:22 -0600

On Sat, 2007-11-10 at 02:48 +0300, Vitaly Bordug wrote:
> On Fri, 09 Nov 2007 16:01:41 -0600
> Josh Boyer wrote:
> 
> > Hi All,
> > 
> > For those interested, I have a few things I'd like to focus on for
> > 2.6.25 in regards to the current arch/powerpc 4xx porting effort.
> > Below is a brief list of drivers in no particular order:
> > 
> > PCI support
> I'll look at that stuff once again. maybe it worths to head fir compromise solution in favor of replacing 32/64 
> ranges parsing func + a bunch of other things in one single step.

Sure, that's fine.  You and Ben were working on it at one point, so I
figured you would look at it again.

> > USB (440EP(x), etc)
> looks like we have code ready for that...

It's mostly there, yes.  Should be pretty easy to get in :).

> > I2C
> Stefan's approach seems pretty close

Agreed.

> > GPIO
> > NDFC
> I'd rather follow platform device wrapper way.. Big NDFC of_device rework can be done anytime later.

I would seriously consider that too.

josh